# Generated from prefatory-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name prefatory

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Prefatory provides storage of entities (models or values/attributes) in a non-transactional preliminary key value store (redis or memcache)
License: MIT
URL: https://github.com/rx/prefatory
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(redis)
# BuildRequires: rubygem(dalli)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Sometimes you need to collect data before you can write it to the database.
That is the impedius for this gem. The collection of data could happen across
multiple
client interactions spanning pages or even sessions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/prefatory.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.2-1
- Initial package
